/*
	AEFlame - After Effects version of flame
	Original version of flame by Scott Draves <spot@cs.cmu.edu>
	After Effects version by Andrew B. Davidson <aeflame@mindspring.com> 
    flame Copyright (C) 1992 Scott Draves.  
    AEFlame Copyright (C) 1999 Andrew B. Davidson.  

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "SPFiles.h"
#include "AE_Macros.h"

OSErr StashFileReference(CFragInitBlockPtr initBlock);
SPPlatformFileSpecification* thisFileReference(SPPlatformFileSpecification* set);


// The Mac entry point called when the code fragment is loaded.  Stash the file
// reference at this point.
OSErr StashFileReference(CFragInitBlockPtr initBlock)
{ 
//	__initialize(initBlock);
	
	thisFileReference((SPPlatformFileSpecification*)initBlock->fragLocator.u.onDisk.fileSpec);

	return(0);	// fragNoErr
}


//
// Platform DLL code. 
// The goal here is to use the standard platform DLL loading protocol to
// grab a reference to the plug-in file.  This is used in creating the 
// SPPluginRef.

// This stores the file reference.  It is valid while the plug-in remains
// in memory and resets each time the plug-in is loaded.
SPPlatformFileSpecification* thisFileReference(SPPlatformFileSpecification* set)
{
	static SPPlatformFileSpecification pluginSpec; 
	SPPlatformFileSpecification *returnSpec = NULL; 
	
	if (NULL == set)
		returnSpec = &pluginSpec;
	else
		pluginSpec = *set;
		
	return returnSpec;
}




//=========================================================================
// returns the number of files in dir, and returns in oPath the iFileIndex'th
// file full path name.  Or, pass -1 for iFileIndex and NULL for oPath if 
// you just want the number of files.  iMatchPattern is a pattern to match
// like "*.MAP". You can only specify one pattern. Pass "*.*" if you want all files.
//-------------------------------------------------------------------------
//
// Mac version
//
int GetNthFile(const char *iDirName, const char *iMatchPattern, long iFileIndex, char *oPath)
{
// TODO
	return 0;
}





//=================================================================
// convert a full path into just the filename
// e.g. D:\dum\weird\stuff\test.txt becomes test.txt
// if called on a directory, it returns the last directory component
// e.g. D:\dum\weird\stuff\ becomes stuff\
// assumes dir sep char is '\'  ('\\' C-string escaped)
//-----------------------------------------------------------------
//
// Mac version
//
void RemoveFullPath(char *ioString)
{
}
